Run of fresh-releases for rust-const-fn

1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
[2022-06-01 11:44:33] Opening branch at https://salsa.debian.org/rust-team/debcargo-conf.git/,branch=master
[2022-06-01 11:44:34] Using cached branch https://janitor.debian.net/git/rust-const-fn/,branch=debian%2Flatest
[2022-06-01 11:44:34] Using resume branch: https://janitor.debian.net/git/rust-const-fn,branch=fresh-releases%2Fmain
[2022-06-01 11:45:16] Total 74752 (delta 17797), reused 56804 (delta 0), pack-reused 0
[2022-06-01 11:45:16] 
[2022-06-01 11:46:18] Total 15732 (delta 0), reused 0 (delta 0), pack-reused 15732
[2022-06-01 11:46:37] % (11/11), done.
[2022-06-01 11:46:37] Total 6 (delta 3), reused 0 (delta 0), pack-reused 0
[2022-06-01 11:47:07] All changes applied successfully.
[2022-06-01 11:47:10] 97/826)
[2022-06-01 11:47:10] % (254/254), done.
[2022-06-01 11:47:10] Total 1578 (delta 551), reused 761 (delta 498), pack-reused 752
[2022-06-01 11:47:10] 
[2022-06-01 11:47:13] restarting branch
[2022-06-01 11:47:16] Total 1578 (delta 551), reused 761 (delta 498), pack-reused 752
Traceback (most recent call last):
  File "/code/silver-platter/silver_platter/workspace.py", line 210, in __enter__
    self.local_tree.pull(self.main_branch, overwrite=False)
  File "/code/breezy/breezy/git/workingtree.py", line 1276, in pull
    count = self.branch.pull(source, overwrite, stop_revision,
  File "/code/breezy/breezy/branch.py", line 1057, in pull
    return InterBranch.get(source, self).pull(
  File "/code/breezy/breezy/git/branch.py", line 1323, in pull
    _update_tip(
  File "/code/breezy/breezy/git/branch.py", line 97, in _update_tip
    target.generate_revision_history(revid, last_rev, other_branch=source)
  File "/code/breezy/breezy/git/branch.py", line 543, in generate_revision_history
    raise errors.DivergedBranches(self, other_branch)
breezy.errors.DivergedBranches: These branches have diverged. Use the missing command to see how.
Use the merge command to reconcile them.

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/code/janitor/worker.py", line 703, in process_package
    ws.__enter__()
  File "/code/silver-platter/silver_platter/workspace.py", line 216, in __enter__
    self.local_tree.pull(self.main_branch, overwrite=True)
  File "/code/breezy/breezy/git/workingtree.py", line 1279, in pull
    self._update_git_tree(
  File "/code/breezy/breezy/git/workingtree.py", line 1263, in _update_git_tree
    merge.merge_inner(
  File "/code/breezy/breezy/merge.py", line 1858, in merge_inner
    return merger.do_merge()
  File "/code/breezy/breezy/merge.py", line 670, in do_merge
    merge = self._do_merge_to()
  File "/code/breezy/breezy/merge.py", line 633, in _do_merge_to
    merge.do_merge()
  File "/code/breezy/breezy/merge.py", line 774, in do_merge
    self._compute_transform()
  File "/code/breezy/breezy/merge.py", line 824, in _compute_transform
    self._finish_computing_transform()
  File "/code/breezy/breezy/merge.py", line 832, in _finish_computing_transform
    fs_conflicts = transform.resolve_conflicts(
  File "/code/breezy/breezy/transform.py", line 905, in resolve_conflicts
    raise MalformedTransform(conflicts=conflicts)
breezy.transform.MalformedTransform: Tree transform is malformed [('unversioned executability', 'new-29'), ('unversioned executability', 'new-32'), ('unversioned executability', 'new-54'), ('unversioned executability', 'new-57'), ('unversioned executability', 'new-85'), ('unversioned executability', 'new-88'), ('unversioned executability', 'new-106'), ('unversioned executability', 'new-109'), ('unversioned executability', 'new-115'), ('unversioned executability', 'new-118'), ('unversioned executability', 'new-139'), ('unversioned executability', 'new-209'), ('unversioned executability', 'new-212'), ('unversioned executability', 'new-215'), ('unversioned executability', 'new-237'), ('unversioned executability', 'new-240'), ('unversioned executability', 'new-453'), ('unversioned executability', 'new-456'), ('unversioned executability', 'new-475')]

Publish Blockers

  • ☒ run was not successful
  • ☑ package has not been removed from the archive
  • ☑ command has not changed
  • ☒ not yet reviewed, but review needed
  • ☑ 0 publish attempts so far.not currently attempting to back off
  • ☑ proposals not currently being rate-limited for maintainer pkg-rust-maintainers@alioth-lists.debian.net
  • ☒ change set fab76682-563c-4526-b55c-f2bb7c6029fb is working

Full worker log